Error: "DataDirect...Database connection lost" when using Linux driver LOdb223.so

Technote (troubleshooting)


Problem

In Lotus Enterprise Integrator (LEI), LOdb223.so works with V5R4 but not with V6R1.

LOdb223.so is the OEM 5.3 DB2 wire protocol driver for Linux / Unix which you cannot use to access V6R1. The following error displays:

    "[DataDirect][ODBC DB2 Wire Protocol driver]Unhandled CodePoint: 214B Database connection lost."

Cause

The DataDirect Connect public knowledge base indicates that patches before V5.30.0153 (b0099, U0071) do not support DB2 AS/400 V6R1.

Resolving the problem

Workaround:


1. Go to Fix Central and download the following file: ds753_ddodbc53_32bit_linux
2. Use the following driver: VMdb223.so .

For more information, refer to Document #1444759, 'DataStage ODBC error "Unhandled CodePoint: 214B" when loading data from DB2 on AS/400.'



Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

IBM Enterprise Integrator for Domino
ODBC

Software version:

8.5.2, 8.5.3

Operating system(s):

Linux

Software edition:

All Editions

Reference #:

1569269

Modified date:

2012-10-19

Translate my page

Machine Translation

Content navigation